/****************************************************************************************

		Basic3DGUID.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Ray Dream
		Date:	3/2/98

		Revision History

		when		who			what & why
		==========	==========	======================================================
		09/23/99	cph			Removed I3DRenderHelper.h
		09/15/99	Yann		Removed include to I3dExModeler.h
		09/09/99	Guillaume	Changed I3DExLink into I3DShlink
		9/2/99		cph			removed I3DImageDocument.h and I3DExImportExport.h
		7/30/99		cph			removed I3DShDeformationZone.h, I3DRenderingModule.h, I3DExSpaceWarp.h
		7/28/99		cph			removed IComponentTreePart.h
		7/28/99		cph			removed I3DExDeformationZone.h	- not going in SDK
		7/22/99		cph			removed IExPSPlugin.h
		11/23/98	pbk			Separating 3DDB from MCFrame
		9/29/98		Joshua		Change to Modifier system
		9/29/98		EricG		Removed I3DExModuleContent
		9/25/98		EricG		Added I3DExModuleContent

*****************************************************************************************/

#include "InterfaceIDs.h"
//#include "BasicGUID.h"
#include "COMImageGuid.h"

#include "I3DExCamera.h"
#include "I3DShInstance.h"
#include "I3DExGel.h"   
#include "I3DExPrimitive.h"   
#include "I3DExConstraint.h"   
#include "I3DExEnvironment.h"   
#include "I3DExShader.h"   
#include "I3DExTweener.h"
#include "I3DExLight.h"
#include "I3DExSceneCommand.h"
#include "I3DWireframe.h"
#include "I3DWireframeSet.h"
#include "I3DExRenderFeature.h"
#include "I3DExAnimation.h"
#include "I3DExAnimationMethod.h"
#include "I3DExInteractiveRenderer.h"
#include "I3DExFinalRenderer.h"
#include "I3DExPostRenderer.h"
#include "I3DExModifier.h"
#include "I3DExModule.h"
#include "I3DExMiniModeler.h"
#include "I3DExForce.h"
#include "I3DExAutoTest.h"
#include "I3DExRendererBox.h"
#include "I3DExGenericData.h"
#include "I3DExTimeDependentPrimitive.h"
#include "I3DExVertexPrimitive.h"
#include "I3DExFigurePrimitive.h"
#include "I3DExVertex.h"
#include "I3DExVolumetricEffect.h"
#include "I3DExShaderPreviewPart.h"
#include "I3DExTerrainFilter.h"
#include "I3DExVolumetricCloudsShape.h"
#include "I3DExRemoteCommand.h"
#include "I3DShPrimitiveInstance.h"

#include "I3DParticleEmitter.h"

#include "I3DShCamera.h"
#include "I3DShComponentOwner.h"
#include "I3DShConstraint.h"
#include "I3DShFacetMesh.h"
#include "I3DShGel.h"
#include "I3DShGroup.h"
#include "I3DShJoint.h"
#include "I3DShKeyFrame.h"
#include "I3DShLightSource.h"
#include "I3DShMaster.h"
#include "I3DShModifier.h"
#include "I3DShModule.h"
#include "I3DShObject.h"
#include "I3DShPostRenderer.h"
#include "I3DShRenderFeature.h"
#include "I3DShRenderable.h"
#include "I3DShShader.h"
#include "I3DShTreeElement.h"
#include "I3DShShadableTree.h"
#include "I3DShInvisibleTree.h"
#include "I3DShMasterGroup.h"
#include "I3DShTerrainFilter.h"
#include "I3DShVolumetricCloudsShape.h"
#include "I3DShSoundtrack.h"

#include "ISceneDocument.h"
#include "IChangeManagement.h"
#include "ISceneSelection.h"
#include "ISelectableObject.h"
#include "I3DShAnimation.h"
#include "I3DShAnimationMethod.h"
#include "IEditTimePart.h"
#include "IWorkingBox.h"

#include "IPropertiesModule.h"

#include "IComponentChooser.h"
#include "ICompChooserWithWireFrame.h"
#include "IComponentAnim.h"

#include "IEx3DEditorHostPart.h"
#include "I3DEditorHostPart.h"
#include "I3DImageDocument.h"

#include "ITextureMapPart.h"
#include "IShTextureMap.h"
#include "IPreviewMaker.h"
#include "IPostRendererPreviewPart.h"
#include "I3DShFacetMeshGenerator.h"
#include "I3DExInstancePrimitive.h"
#include "IScenePreviewPart.h"
#include "I3DExShaderTransform.h"

#include "I3DExOBJImporterLowLevel.h"

#include "INeedAllInstances.h"
#include "I3DExMultiModelerManager.h"
#include "ISelfSampler.h"